aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRyan Arnold <ryan.arnold@linaro.org>2015-12-04 15:58:59 +0000
committerLinaro Code Review <review@review.linaro.org>2015-12-04 15:58:59 +0000
commitcf613ed9e613153ba1a855a553dbc1f7d35170e8 (patch)
tree9b6c6771fa7f241627f55fea5d0185ca7e602cad
parent31424e2b463b129ba9c182446fefc687cab867a3 (diff)
parent770cd2a469b0421334427001e956336143439e50 (diff)
Merge "Check that expect works before running make check"
-rwxr-xr-xlib/make.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/lib/make.sh b/lib/make.sh
index 923fe5c0..69f9efe5 100755
--- a/lib/make.sh
+++ b/lib/make.sh
@@ -709,6 +709,15 @@ make_check()
local tool="`get_toolname $1`"
local builddir="`get_builddir $1 ${2:+$2}`"
+ # check that expect is working, and dump some debug info if not
+ if ! echo "spawn true" | /usr/bin/expect -f - >/dev/null; then
+ error "expect cannot span processes. Aborting make check."
+ ls -l /dev/ptmx
+ ls -l /dev/pts
+ grep devpts /proc/mounts
+ return 1
+ fi
+
# Some tests cause problems, so don't run them all unless
# --enable alltests is specified at runtime.
local ignore="dejagnu gmp mpc mpfr make eglibc linux"